## gnome-desktop 42.0

=== debian/changelog ===
gnome-desktop (42.0-1ubuntu1) jammy; urgency=medium

  * Merge with Debian, remaining changes:
    - Add 2 patches to adjust background color detection for Unity
      + tweak_color_computation.patch
      + 04_compute_average_color.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 21 Mar 2022 08:16:17 -0400

gnome-desktop (42.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 21 Mar 2022 07:59:24 -0400

gnome-desktop (42~beta-1) unstable; urgency=medium

  * New upstream release
  * debian/*symbols: Add new symbols
  * Add transitional libgnome-desktop-3-dev-bin package for smoother updates
  * Release to unstable (Closes: #1006037)

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Sat, 19 Feb 2022 10:37:12 -0500

gnome-desktop (42~beta-0ubuntu1) jammy; urgency=medium

  * New upstream release
  * Add transitional libgnome-desktop-3-dev-bin package for smoother updates

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Sat, 19 Feb 2022 06:47:23 -0500

gnome-desktop (42~alpha.1-1) experimental; urgency=medium

  [ Jeremy Bicha ]
  * Rename source package to gnome-desktop
  * New upstream release
  * Build-Depend on gtk4
  * debian/control.in: Drop obsolete libxml2-dev dependency.
    It's not required for the build and it's not in the pkgconfig file

  [ Simon McVittie ]
  * Remove compatibility with pre-bullseye packaging of libgdk-pixbuf
  * d/control.in: Improve package descriptions.
    This might originally have been a library to load .desktop files, but
    it has changed a lot since then.
  * Package each shared library separately.
    According to the upstream commit history, the long-term plan is for
    GnomeBG and GnomeRR to become independent components, and it will be
    difficult to package that correctly if we initially bundled these
    libraries into one package.
  * Move manual tests into gnome-desktop-3-tests.
    We don't really need a separate libgnome-desktop-3-dev-bin package
    for this.
  * Move the API documentation to its own package while we're going
    through NEW anyway
  * Add symlinks to make HTML documentation visible in /usr/share/doc.
    The files are not physically in /usr/share/doc, because the way gtk-doc
    processes cross-references means they are technically a programmatic
    interface.
  * Add a doc-base file for the API reference
  * d/copyright: Update

 -- Simon McVittie <smcv@debian.org>  Fri, 11 Feb 2022 12:18:06 +0000

gnome-desktop3 (41.3-1ubuntu1) jammy; urgency=medium

  * Merge with Debian, remaining changes:
    - Add 2 patches to adjust background color detection for Unity
      + tweak_color_computation.patch
      + 04_compute_average_color.patch
    - Build-Depend on language-pack-gnome-he for build tests

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Thu, 03 Feb 2022 13:13:37 -0500

gnome-desktop3 (41.3-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 01 Feb 2022 11:01:09 -0500

gnome-desktop3 (41.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Wed, 22 Dec 2021 10:58:58 +0000

gnome-desktop3 (41.1-1ubuntu1) jammy; urgency=medium

  * Merge with Debian, remaining changes:
    - Add 2 patches to adjust background color detection for Unity
      + tweak_color_computation.patch
      + 04_compute_average_color.patch
    - Build-Depend on language-pack-gnome-he for build tests

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 19 Nov 2021 03:48:08 +0100

gnome-desktop3 (41.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * d/rules: Fix spelling of desktop_docs Meson option.
    This was accepted with a warning under Meson 0.59, but causes FTBFS
    under Meson 0.60. (Closes: #998584)

 -- Simon McVittie <smcv@debian.org>  Fri, 05 Nov 2021 10:58:32 +0000

gnome-desktop3 (41.0-1) unstable; urgency=medium

  * Build-depend on libgl-dev instead of transitional libgl1-mesa-dev
  * New upstream release
  * Add Lintian override for #970275
  * d/upstream/metadata: Add
  * Standards-Version: 4.6.0 (no changes required)
  * Don't make all installed-tests files executable
  * Make the library depend on iso-codes.
    The iso-codes XML is read at runtime, as demonstrated by autopkgtest
    failures if this dependency is not added.
  * Recommend locales | locales-all, and depend on them for the tests
  * d/p/languages-Look-at-LOCPATH-before-compile-time-LIBLOCALEDI.patch:
    Add patch to make locale APIs follow $LOCPATH.
    This is necessary to make the autopkgtest pass on a system with no
    non-fallback locales configured, without having to pull in locales-all.

 -- Simon McVittie <smcv@debian.org>  Thu, 14 Oct 2021 00:48:12 +0100

gnome-desktop3 (40.4-2ubuntu1) impish; urgency=medium

  * Merge with Debian, remaining changes:
    - Add 2 patches to adjust background color detection for Unity
      + tweak_color_computation.patch
      + 04_compute_average_color.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 12 Sep 2021 10:01:31 -0400

gnome-desktop3 (40.4-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable. This is not *technically* involved in the
    transition of GNOME core components from version 3.38 to 40, but the
    version number of libgnome-desktop is often used as a proxy for the
    version of GNOME as a whole, so it seems less confusing for everyone
    if it reaches testing at around the same time as gnome-shell.

 -- Simon McVittie <smcv@debian.org>  Sat, 11 Sep 2021 21:26:23 +0100

gnome-desktop3 (40.4-1) experimental; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * debian/rules: Set translation domain for Ubuntu

  [ Marco Trevisan (Treviño) ]
  * debian/control: Use versioned dh-sequence-gnome instead of duplicating

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 28 Aug 2021 17:13:53 -0400

gnome-desktop3 (40.2-2) experimental; urgency=medium



=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-desktop
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Gunnar Hjalmarsson <gunnarhj@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Sjoerd Simons <sjoerd@debian.org>, Tim Lunn <tim@feathertop.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-gnome (>= 0.22),
               docbook-xml,
               fonts-cantarell <!nocheck>,
               gsettings-desktop-schemas-dev (>= 3.27.0),
               gtk-doc-tools (>= 1.4),
               iso-codes,
               itstool,
               libgdk-pixbuf-2.0-dev (>= 2.36.5),
               libgirepository1.0-dev (>= 0.10.2-1~),
               libgl-dev,
               libglib2.0-dev (>= 2.53.0),
               libglib2.0-doc,
               libgtk-3-dev (>= 3.3.6),
               libgtk-4-dev (>= 4.4.0),
               libgtk-3-doc,
               libseccomp-dev [!hurd-any !kfreebsd-any !linux-alpha !linux-ia64 !linux-m68k !linux-sh4 !linux-sparc64],
               libsystemd-dev [linux-any],
               libudev-dev [linux-any],
               libxkbregistry-dev,
               locales <!nocheck> | locales-all <!nocheck>,
               meson (>= 0.47.0),
               xauth <!nocheck>,
               xkb-data,
               xvfb <!nocheck>
Rules-Requires-Root: no
XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-desktop.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-desktop
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-desktop.git -b ubuntu/master
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-desktop/tree/ubuntu/master
Standards-Version: 4.6.0

Package: gnome-desktop3-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libgnome-desktop-3-17 (<< 3.36),
        libgnome-desktop-3-18 (<< 3.36),
Description: Common files for GNOME desktop apps
 This package includes some files that are shared between several GNOME
 apps (internationalization files).

Package: gnome-desktop-3-tests
Architecture: any
Depends: libgnome-desktop-3-19 (= ${binary:Version}),
         gnome-desktop3-data (= ${source:Version}),
         locales | locales-all,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libgnome-desktop-3-19 (<< 40),
        libgnome-desktop-3-dev (<< 40),
        libgnome-desktop-3-dev-bin (<< 42~),
Replaces: libgnome-desktop-3-dev-bin (<< 42~),
Description: Installed test files for GNOME desktop
 This package contains test programs designed to be run as part of a
 regression testsuite, and manual test programs designed to be run by
 developers.

Package: libgnome-desktop-3-19
Section: libs
Architecture: any
Multi-Arch: same
Depends: bubblewrap [linux-any],
         gnome-desktop3-data (>= ${source:Version}),
         gnome-desktop3-data (<< ${gnome:NextVersion}),
         gsettings-desktop-schemas (>= 3.27.0),
         iso-codes,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: locales | locales-all
Description: Utility library for the GNOME desktop - GTK 3 version
 This library provides various utility functions that are used in multiple
 components of the GNOME desktop, but do not have a sufficiently stable API
 to be included in core libraries such as GLib and GTK.
 .
 This package provides a legacy GTK-3-based library with functionality similar
 to a combination of libgnome-bg-4-1, libgnome-desktop-4-1 and libgnome-rr-4-1,
 for compatibility with older GNOME components.

Package: libgnome-desktop-3-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-gnomedesktop-3.0 (= ${binary:Version}),
         gsettings-desktop-schemas-dev,
         iso-codes,
         libgnome-desktop-3-19 (= ${binary:Version}),
         libgtk-3-dev (>= 3.3.6),
         libseccomp-dev [!hurd-any !kfreebsd-any !linux-alpha !linux-ia64 !linux-m68k !linux-sh4 !linux-sparc64],
         libsystemd-dev [linux-any],
         libudev-dev [linux-any],
         libxkbregistry-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Utility library for the GNOME desktop - development files (GTK 3)
 This package provides the include files and static library for the GNOME
 desktop library functions.

Package: libgnome-bg-4-1
Section: libs
Architecture: any
Multi-Arch: same
Depends: gsettings-desktop-schemas (>= 3.27.0),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: locales | locales-all
Description: Utility library for background images - runtime files
 The gnome-desktop set of libraries provides various utility functions
 that are used in multiple components of the GNOME desktop, but do not
 have a sufficiently stable API to be included in core libraries such
 as GLib and GTK.
 .
 This library provides utilities for managing background images (wallpaper).

Package: libgnome-desktop-4-1
Section: libs
Architecture: any
Multi-Arch: same
Depends: bubblewrap [linux-any],
         gnome-desktop3-data (>= ${source:Version}),
         gnome-desktop3-data (<< ${gnome:NextVersion}),
         gsettings-desktop-schemas (>= 3.27.0),
         iso-codes,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: locales | locales-all
Description: Utility library for the GNOME desktop - runtime files
 The gnome-desktop set of libraries provides various utility functions
 that are used in multiple components of the GNOME desktop, but do not
 have a sufficiently stable API to be included in core libraries such
 as GLib and GTK.
 .
 This library provides miscellaneous non-GUI utilities, including
 sandboxed image thumbnailing, localization-related utilities, idle time
 monitoring, a simplified interface to the udev hardware database,
 putting processes into systemd scopes, user-facing time representation
 and keyboard layout information.

Package: libgnome-rr-4-1
Section: libs
Architecture: any
Multi-Arch: same
Depends: gnome-desktop3-data (>= ${source:Version}),
         gnome-desktop3-data (<< ${gnome:NextVersion}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: locales | locales-all
Description: Utility library for display information - runtime files
 The gnome-desktop set of libraries provides various utility functions
 that are used in multiple components of the GNOME desktop, but do not
 have a sufficiently stable API to be included in core libraries such
 as GLib and GTK.
 .
 This library provides utilities for display mode-setting, resizing and
 rotation using the XRandR protocol or Wayland.

Package: libgnome-bg-4-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-gnomebg-4.0 (= ${binary:Version}),
         gsettings-desktop-schemas-dev,
         libgnome-bg-4-1 (= ${binary:Version}),
         libgnome-desktop-4-dev (= ${binary:Version}),
         libgtk-4-dev (>= 4.4.0),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Background image library for GNOME - development files (GTK 4)
 The gnome-desktop set of libraries provides various utility functions
 that are used in multiple components of the GNOME desktop, but do not
 have a sufficiently stable API to be included in core libraries such
 as GLib and GTK.
 .
 This package contains development files to compile programs that deal with
 background images.

Package: libgnome-desktop-4-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-gnomedesktop-4.0 (= ${binary:Version}),
         gsettings-desktop-schemas-dev,
         iso-codes,
         libgdk-pixbuf-2.0-dev (>= 2.36.5),
         libgnome-desktop-4-1 (= ${binary:Version}),
         libseccomp-dev [!hurd-any !kfreebsd-any !linux-alpha !linux-ia64 !linux-m68k !linux-sh4 !linux-sparc64],
         libsystemd-dev [linux-any],
         libudev-dev [linux-any],
         libxkbregistry-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Utility library for the GNOME desktop - development files (GTK 4)
 The gnome-desktop set of libraries provides various utility functions
 that are used in multiple components of the GNOME desktop, but do not
 have a sufficiently stable API to be included in core libraries such
 as GLib and GTK.
 .
 This package contains development files to compile programs that use
 miscellaneous non-GUI utility functions.

Package: libgnome-rr-4-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-gnomerr-4.0 (= ${binary:Version}),
         gsettings-desktop-schemas-dev,
         libgnome-desktop-4-dev (= ${binary:Version}),
         libgnome-rr-4-1 (= ${binary:Version}),
         libgtk-4-dev (>= 4.4.0),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Display information library for GNOME - development files (GTK 4)
 The gnome-desktop set of libraries provides various utility functions
 that are used in multiple components of the GNOME desktop, but do not
 have a sufficiently stable API to be included in core libraries such
 as GLib and GTK.
 .
 This package contains development files to compile programs that deal with
 display modes.

Package: gir1.2-gnomedesktop-3.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: gnome-shell (<< 3.34)
Description: Introspection data for GnomeDesktop (GTK 3)
 This package provides the include files and static library for the GNOME
 desktop library functions.
 .
 This package contains the introspection data for GnomeDesktop

Package: gir1.2-gnomebg-4.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: Introspection data for GnomeBG (GTK 4)
 The gnome-desktop set of libraries provides various utility functions
 that are used in multiple components of the GNOME desktop, but do not
 have a sufficiently stable API to be included in core libraries such
 as GLib and GTK.
 .
 This package contains GObject-Introspection bindings for background image
 (wallpaper) management.

Package: gir1.2-gnomedesktop-4.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: Introspection data for GnomeDesktop (GTK 4)
 The gnome-desktop set of libraries provides various utility functions
 that are used in multiple components of the GNOME desktop, but do not
 have a sufficiently stable API to be included in core libraries such
 as GLib and GTK.
 .
 This package contains GObject-Introspection bindings for miscellaneous
 utility functions.

Package: gir1.2-gnomerr-4.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: Introspection data for GnomeRR (GTK 4)
 The gnome-desktop set of libraries provides various utility functions
 that are used in multiple components of the GNOME desktop, but do not
 have a sufficiently stable API to be included in core libraries such
 as GLib and GTK.
 .
 This package contains GObject-Introspection bindings for display mode
 management.

Package: libgnome-desktop-doc
Build-Profiles: <!nodoc>
Architecture: all
Multi-Arch: foreign
Section: doc
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}
Breaks: libgnome-desktop-3-dev (<< 42~),
Replaces: libgnome-desktop-3-dev (<< 42~),
Description: API documentation for libgnome-desktop
 The gnome-desktop set of libraries provides various utility functions
 that are used in multiple components of the GNOME desktop, but do not
 have a sufficiently stable API to be included in core libraries such
 as GLib and GTK.
 .

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

built_binaries := $(shell dh_listpackages)
LIB_PKG := $(filter-out %-dev %-bin %-doc,$(filter lib%,$(shell awk '/^Package: / { print $$2 }' debian/control)))

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

export GD_LIBNAME = $(LIB_PKG)
export GD_SOVERSION = $(shell echo $(GD_LIBNAME) | rev | cut -f1 -d- | rev)
export GD_API_VERSION = $(shell echo $(GD_LIBNAME) | rev | cut -f2 -d- | rev)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dgnome_distributor=$(shell dpkg-vendor --query vendor) \
		-Ddate_in_gnome_version=false \
		-Dgtk_doc=true \
		-Dinstalled_tests=true \
		-Ddesktop_docs=true

override_dh_auto_test:
	debian/tests/run-with-locales \
		--generate en_US.UTF-8 \
		--generate he_IL.UTF-8 \
		--generate ja_JP.UTF-8 \
		-- \
	env \
		NO_AT_BRIDGE=1 \
		G_MESSAGES_DEBUG=all \
	dh_auto_test -- --wrap="xvfb-run -a"

# debhelper >= 13.4 makes all of /usr/libexec executable, which is not
# quite right for installed-tests
override_dh_fixperms:
	dh_fixperms -Xusr/libexec/installed-tests
ifneq ($(filter %-tests,$(built_binaries)),)
	chmod --recursive --changes a+rX,u+w,og-w debian/*-tests/usr/libexec/installed-tests
endif

# Ubuntu-specific
override_dh_translations:
	dh_translations --domain=gnome-desktop-3.0

## gnome-desktop 42.9

=== meson_options.txt ===
option('gnome_distributor',
  type: 'string', value: 'GNOME.Org',
  description: 'Specify name of GNOME distributor'
)

option('date_in_gnome_version',
  type: 'boolean', value: true,
  description: 'Include the build date in gnome-version.xml'
)

option('desktop_docs',
  type: 'boolean', value: true,
  description: 'Build desktop-wide help documents'
)

option('debug_tools',
  type: 'boolean', value: true, description: 'Build debug tools'
)

option('udev',
  type: 'feature', description: 'Udev support'
)

option('systemd',
  type: 'feature', description: 'Systemd integration support'
)

option('gtk_doc',
  type: 'boolean', value: false, description: 'Build API reference'
)

option('installed_tests',
  type: 'boolean', value: false, description: 'Enable installed tests'
)

option('build_gtk4',
  type: 'boolean', value: true, description: 'Enable GTK4 libraries'
)

option('legacy_library',
  type: 'boolean', value: true, description: 'Build the legacy libgnome-desktop-3.0'
)

=== debian/changelog ===
gnome-desktop (42.9-0ubuntu1) jammy; urgency=medium

  * New upstream release (LP: #2023923)
  * Cherry-pick German translation update from 42.10

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 14 Jun 2023 16:42:33 -0400

gnome-desktop (42.5-0ubuntu1) jammy; urgency=medium

  * New upstream release (LP: #1992852)

 -- Zoe Spellman <zoe.spellman@canonical.com>  Thu, 13 Oct 2022 13:21:18 -0700

gnome-desktop (42.4-0ubuntu1) jammy; urgency=medium

  * New upstream release (LP: #1981602)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 10 Aug 2022 12:36:28 -0400

gnome-desktop (42.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (LP: #1977772)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 06 Jun 2022 15:37:45 -0400

gnome-desktop (42.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (LP: #1970660)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 28 Apr 2022 08:33:12 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Gunnar Hjalmarsson <gunnarhj@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Sjoerd Simons <sjoerd@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Gunnar Hjalmarsson <gunnarhj@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome (>= 0.22),
@@ -37,8 +37,8 @@
 Rules-Requires-Root: no
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-desktop.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-desktop
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-desktop.git -b ubuntu/master
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-desktop/tree/ubuntu/master
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-desktop.git -b ubuntu/jammy
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-desktop/tree/ubuntu/jammy
 Standards-Version: 4.6.0
 
 Package: gnome-desktop3-data

=== debian/tests/control ===
Tests: libgnome-desktop-3-dev
Depends: build-essential, libgnome-desktop-3-dev, pkg-config
Restrictions: allow-stderr superficial

Tests: libgnome-bg-4-dev
Depends: build-essential, libgnome-bg-4-dev, pkg-config
Restrictions: allow-stderr superficial

Tests: libgnome-desktop-4-dev
Depends: build-essential, libgnome-desktop-4-dev, pkg-config
Restrictions: allow-stderr superficial

Tests: libgnome-rr-4-dev
Depends: build-essential, libgnome-rr-4-dev, pkg-config
Restrictions: allow-stderr superficial

Tests: installed-tests
Depends: dbus (>= 1.8), gnome-desktop-testing, gnome-desktop-3-tests, locales | locales-all, xauth, xvfb
Restrictions: allow-stderr superficial

## gnome-desktop 43

=== debian/changelog ===
gnome-desktop (43-2) unstable; urgency=medium

  * Team upload
  * Require a dh-sequence-gnome that generates gnome:NextVersion correctly.
    Older versions expected the version number to be like 43.0 or 43~rc,
    but not a plain integer like 43, producing an uninstallable package
    with a dependency on gnome-desktop3-data (<< 1).
  * Standards-Version: 4.6.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Tue, 20 Sep 2022 09:56:51 +0100

gnome-desktop (43-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Sep 2022 10:19:38 -0400

gnome-desktop (43~rc-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 07 Sep 2022 08:37:43 -0400

gnome-desktop (43~alpha-3) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 16 Aug 2022 15:31:03 -0400

gnome-desktop (43~alpha-2) experimental; urgency=medium

  * Update debian/copyright. Thanks to Thorsten Alteholz

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 27 Jul 2022 08:07:30 -0400

gnome-desktop (43~alpha-1) experimental; urgency=medium

  * New upstream release
  * debian/rules: Drop obsolete build options
  * Update library names to match soname bump
  * debian/*.symbols: Add new symbols
  * /usr/share/gnome/gnome-version.xml is no longer provided

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 17 Jul 2022 14:01:13 +0200

gnome-desktop (42.3-1) unstable; urgency=medium

  * New upstream release (LP: #1981602)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 13 Jul 2022 17:28:09 +0200

gnome-desktop (42.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Thu, 02 Jun 2022 09:54:13 -0300

gnome-desktop (42.1-1) unstable; urgency=medium

  * New upstream release (LP: #1970660)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 27 Apr 2022 15:52:23 -0400

gnome-desktop (42.0-2) unstable; urgency=medium

  * Team upload
  * gir1.2-gnomedesktop-4.0 Breaks gnome-shell (<< 42~alpha).
    Earlier versions of gnome-shell imported GnomeBluetooth without
    specifying a version number, and expected to get API version 3.0.
    Similar to bug #1008926.

 -- Simon McVittie <smcv@debian.org>  Mon, 04 Apr 2022 17:04:06 +0100

## gnome-desktop 43.2

=== debian/changelog ===
gnome-desktop (43.2-2) unstable; urgency=medium

  * Team upload
  * d/control.in: Fix Vcs-Git and Vcs-Browser syntax
  * d/p/Use-mozc-as-the-default-input-source-for-Japanese.patch:
    Change the default input method for Japanese to mozc-jp, matching
    tasksel.
    mozc is pulled in as the most-preferred input method by
    task-japanese-desktop (uim-mozc) and task-japanese-gnome-desktop
    (ibus-mozc) on the architectures where it is available, notably
    x86 and ARM. There seems to be consensus among Japanese-speaking
    Debian and Ubuntu users that mozc is the best default input method,
    so make the default in gnome-initial-setup consistent with that.
    Thanks to YOSHINO Yoshihito (Closes: #1029821)
  * d/p/Fall-back-to-ibus-anthy-if-ibus-mozc-jp-is-unavailable.patch:
    Fall back to ibus-anthy if ibus-mozc isn't available. According
    to discussion on #1029821, mozc only supports little-endian CPU
    architectures (for example i386 and arm64) and does not support
    big-endian CPU architectures (for example powerpc and s390x), so we
    need to be prepared to fall back.
  * d/libgnome-desktop-doc.lintian-overrides: Remove unused override.
    This is unnecessary now that #970275 was fixed.

 -- Simon McVittie <smcv@debian.org>  Sun, 05 Mar 2023 18:11:37 +0000

gnome-desktop (43.2-1) unstable; urgency=medium

  * New upstream release
  * Branch for bookworm

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 15 Feb 2023 11:15:51 -0500

gnome-desktop (43.1-1) unstable; urgency=medium

  * New upstream release
    - Fix gnome_parse_locale returning NULL for the C locale
    - Use more sensible default keyboard for es_US
    - Delete failed thumbnail if successfully saved thumbnail
    - skip territory if no translation available

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 23 Jan 2023 11:19:51 -0500

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,11 @@
 Source: gnome-desktop
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Gunnar Hjalmarsson <gunnarhj@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
-               dh-sequence-gnome (>= 0.22),
+               dh-sequence-gnome (>= 0.22.7~),
                docbook-xml,
                fonts-cantarell <!nocheck>,
                gsettings-desktop-schemas-dev (>= 3.27.0),
@@ -35,11 +34,9 @@
                xkb-data,
                xvfb <!nocheck>
 Rules-Requires-Root: no
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-desktop.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-desktop
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-desktop.git -b ubuntu/jammy
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-desktop/tree/ubuntu/jammy
-Standards-Version: 4.6.0
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-desktop/tree/debian/bookworm
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-desktop.git -b debian/bookworm
+Standards-Version: 4.6.1
 
 Package: gnome-desktop3-data
 Architecture: all
@@ -53,7 +50,7 @@
 
 Package: gnome-desktop-3-tests
 Architecture: any
-Depends: libgnome-desktop-3-19 (= ${binary:Version}),
+Depends: libgnome-desktop-3-20 (= ${binary:Version}),
          gnome-desktop3-data (= ${source:Version}),
          locales | locales-all,
          ${misc:Depends},
@@ -67,7 +64,7 @@
  regression testsuite, and manual test programs designed to be run by
  developers.
 
-Package: libgnome-desktop-3-19
+Package: libgnome-desktop-3-20
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -85,7 +82,7 @@
  to be included in core libraries such as GLib and GTK.
  .
  This package provides a legacy GTK-3-based library with functionality similar
- to a combination of libgnome-bg-4-1, libgnome-desktop-4-1 and libgnome-rr-4-1,
+ to a combination of libgnome-bg-4-2, libgnome-desktop-4-2 and libgnome-rr-4-2,
  for compatibility with older GNOME components.
 
 Package: libgnome-desktop-3-dev
@@ -95,7 +92,7 @@
 Depends: gir1.2-gnomedesktop-3.0 (= ${binary:Version}),
          gsettings-desktop-schemas-dev,
          iso-codes,
-         libgnome-desktop-3-19 (= ${binary:Version}),
+         libgnome-desktop-3-20 (= ${binary:Version}),
          libgtk-3-dev (>= 3.3.6),
          libseccomp-dev [!hurd-any !kfreebsd-any !linux-alpha !linux-ia64 !linux-m68k !linux-sh4 !linux-sparc64],
          libsystemd-dev [linux-any],
@@ -107,7 +104,7 @@
  This package provides the include files and static library for the GNOME
  desktop library functions.
 
-Package: libgnome-bg-4-1
+Package: libgnome-bg-4-2
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -123,7 +120,7 @@
  .
  This library provides utilities for managing background images (wallpaper).
 
-Package: libgnome-desktop-4-1
+Package: libgnome-desktop-4-2
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -147,7 +144,7 @@
  putting processes into systemd scopes, user-facing time representation
  and keyboard layout information.
 
-Package: libgnome-rr-4-1
+Package: libgnome-rr-4-2
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -171,7 +168,7 @@
 Multi-Arch: same
 Depends: gir1.2-gnomebg-4.0 (= ${binary:Version}),
          gsettings-desktop-schemas-dev,
-         libgnome-bg-4-1 (= ${binary:Version}),
+         libgnome-bg-4-2 (= ${binary:Version}),
          libgnome-desktop-4-dev (= ${binary:Version}),
          libgtk-4-dev (>= 4.4.0),
          ${misc:Depends},
@@ -193,7 +190,7 @@
          gsettings-desktop-schemas-dev,
          iso-codes,
          libgdk-pixbuf-2.0-dev (>= 2.36.5),
-         libgnome-desktop-4-1 (= ${binary:Version}),
+         libgnome-desktop-4-2 (= ${binary:Version}),
          libseccomp-dev [!hurd-any !kfreebsd-any !linux-alpha !linux-ia64 !linux-m68k !linux-sh4 !linux-sparc64],
          libsystemd-dev [linux-any],
          libudev-dev [linux-any],
@@ -216,7 +213,7 @@
 Depends: gir1.2-gnomerr-4.0 (= ${binary:Version}),
          gsettings-desktop-schemas-dev,
          libgnome-desktop-4-dev (= ${binary:Version}),
-         libgnome-rr-4-1 (= ${binary:Version}),
+         libgnome-rr-4-2 (= ${binary:Version}),
          libgtk-4-dev (>= 4.4.0),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -266,6 +263,7 @@
 Depends: ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
+Breaks: gnome-shell (<< 42~alpha)
 Description: Introspection data for GnomeDesktop (GTK 4)
  The gnome-desktop set of libraries provides various utility functions
  that are used in multiple components of the GNOME desktop, but do not
@@ -306,3 +304,13 @@
  have a sufficiently stable API to be included in core libraries such
  as GLib and GTK.
  .
+ This package contains API documentation, currently only available for
+ the GTK 3 version of the library.
+
+Package: libgnome-desktop-3-dev-bin
+Architecture: all
+Section: oldlibs
+Depends: ${misc:Depends},
+         gnome-desktop-3-tests
+Description: Installed test files for GNOME desktop - transitional
+ This package contains test programs designed to be run as part of a

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-include /usr/share/dpkg/default.mk
 
 built_binaries := $(shell dh_listpackages)
 LIB_PKG := $(filter-out %-dev %-bin %-doc,$(filter lib%,$(shell awk '/^Package: / { print $$2 }' debian/control)))
@@ -18,8 +16,6 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-Dgnome_distributor=$(shell dpkg-vendor --query vendor) \
-		-Ddate_in_gnome_version=false \
 		-Dgtk_doc=true \
 		-Dinstalled_tests=true \
 		-Ddesktop_docs=true

## gnome-desktop 44.0

=== debian/changelog ===
gnome-desktop (44.0-5build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:12:48 +0000

gnome-desktop (44.0-5build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:43:45 +0000

gnome-desktop (44.0-5) unstable; urgency=medium

  * Build-depend on dpkg-dev (>= 1.22.5) (Closes: #1065288)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 02 Mar 2024 17:58:49 -0500

gnome-desktop (44.0-4) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control: Stop generating from a template
  * Remove version constraints unnecessary since bullseye (oldstable)

  [ Jeremy Bícha ]
  * Release to unstable (Closes: #1062450)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 28 Feb 2024 07:44:45 -0500

gnome-desktop (44.0-2.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Lukas Märdian <slyon@debian.org>  Thu, 01 Feb 2024 15:19:42 +0000

gnome-desktop (44.0-2) unstable; urgency=medium

  * Update standards version to 4.6.2, no changes needed
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Jul 2023 13:06:30 -0400

gnome-desktop (44.0-1) experimental; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release

  [ Simon McVittie ]
  * Merge packaging changes from unstable
    - Default to mozc-jp where possible (Closes: #1029821)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 08:35:20 -0400

gnome-desktop (44~beta-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 14 Feb 2023 07:50:24 -0500

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,25 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: gnome-desktop
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Gunnar Hjalmarsson <gunnarhj@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Sjoerd Simons <sjoerd@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome (>= 0.22.7~),
+               dpkg-dev (>= 1.22.5),
                docbook-xml,
                fonts-cantarell <!nocheck>,
-               gsettings-desktop-schemas-dev (>= 3.27.0),
-               gtk-doc-tools (>= 1.4),
+               gsettings-desktop-schemas-dev,
+               gtk-doc-tools,
                iso-codes,
                itstool,
-               libgdk-pixbuf-2.0-dev (>= 2.36.5),
-               libgirepository1.0-dev (>= 0.10.2-1~),
+               libgdk-pixbuf-2.0-dev,
+               libgirepository1.0-dev,
                libgl-dev,
-               libglib2.0-dev (>= 2.53.0),
+               libglib2.0-dev,
                libglib2.0-doc,
-               libgtk-3-dev (>= 3.3.6),
+               libgtk-3-dev,
                libgtk-4-dev (>= 4.4.0),
                libgtk-3-doc,
                libseccomp-dev [!hurd-any !kfreebsd-any !linux-alpha !linux-ia64 !linux-m68k !linux-sh4 !linux-sparc64],
@@ -29,14 +27,14 @@
                libudev-dev [linux-any],
                libxkbregistry-dev,
                locales <!nocheck> | locales-all <!nocheck>,
-               meson (>= 0.47.0),
+               meson,
                xauth <!nocheck>,
                xkb-data,
                xvfb <!nocheck>
 Rules-Requires-Root: no
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-desktop/tree/debian/bookworm
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-desktop.git -b debian/bookworm
-Standards-Version: 4.6.1
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-desktop
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-desktop.git
+Standards-Version: 4.6.2
 
 Package: gnome-desktop3-data
 Architecture: all
@@ -50,7 +48,7 @@
 
 Package: gnome-desktop-3-tests
 Architecture: any
-Depends: libgnome-desktop-3-20 (= ${binary:Version}),
+Depends: libgnome-desktop-3-20t64 (= ${binary:Version}),
          gnome-desktop3-data (= ${source:Version}),
          locales | locales-all,
          ${misc:Depends},
@@ -64,14 +62,17 @@
  regression testsuite, and manual test programs designed to be run by
  developers.
 
-Package: libgnome-desktop-3-20
+Package: libgnome-desktop-3-20t64
+Provides: ${t64:Provides}
+Replaces: libgnome-desktop-3-20
+Breaks: libgnome-desktop-3-20 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: bubblewrap [linux-any],
          gnome-desktop3-data (>= ${source:Version}),
          gnome-desktop3-data (<< ${gnome:NextVersion}),
-         gsettings-desktop-schemas (>= 3.27.0),
+         gsettings-desktop-schemas,
          iso-codes,
          ${misc:Depends},
          ${shlibs:Depends}
@@ -82,7 +83,7 @@
  to be included in core libraries such as GLib and GTK.
  .
  This package provides a legacy GTK-3-based library with functionality similar
- to a combination of libgnome-bg-4-2, libgnome-desktop-4-2 and libgnome-rr-4-2,
+ to a combination of libgnome-bg-4-2t64, libgnome-desktop-4-2t64 and libgnome-rr-4-2t64,
  for compatibility with older GNOME components.
 
 Package: libgnome-desktop-3-dev
@@ -92,8 +93,8 @@
 Depends: gir1.2-gnomedesktop-3.0 (= ${binary:Version}),
          gsettings-desktop-schemas-dev,
          iso-codes,
-         libgnome-desktop-3-20 (= ${binary:Version}),
-         libgtk-3-dev (>= 3.3.6),
+         libgnome-desktop-3-20t64 (= ${binary:Version}),
+         libgtk-3-dev,
          libseccomp-dev [!hurd-any !kfreebsd-any !linux-alpha !linux-ia64 !linux-m68k !linux-sh4 !linux-sparc64],
          libsystemd-dev [linux-any],
          libudev-dev [linux-any],
@@ -104,11 +105,14 @@
  This package provides the include files and static library for the GNOME
  desktop library functions.
 
-Package: libgnome-bg-4-2
+Package: libgnome-bg-4-2t64
+Provides: ${t64:Provides}
+Replaces: libgnome-bg-4-2
+Breaks: libgnome-bg-4-2 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: gsettings-desktop-schemas (>= 3.27.0),
+Depends: gsettings-desktop-schemas,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: locales | locales-all
@@ -120,14 +124,17 @@
  .
  This library provides utilities for managing background images (wallpaper).
 
-Package: libgnome-desktop-4-2
+Package: libgnome-desktop-4-2t64
+Provides: ${t64:Provides}
+Replaces: libgnome-desktop-4-2
+Breaks: libgnome-desktop-4-2 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: bubblewrap [linux-any],
          gnome-desktop3-data (>= ${source:Version}),
          gnome-desktop3-data (<< ${gnome:NextVersion}),
-         gsettings-desktop-schemas (>= 3.27.0),
+         gsettings-desktop-schemas,
          iso-codes,
          ${misc:Depends},
          ${shlibs:Depends}
@@ -144,7 +151,10 @@
  putting processes into systemd scopes, user-facing time representation
  and keyboard layout information.
 
-Package: libgnome-rr-4-2
+Package: libgnome-rr-4-2t64
+Provides: ${t64:Provides}
+Replaces: libgnome-rr-4-2
+Breaks: libgnome-rr-4-2 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -168,7 +178,7 @@
 Multi-Arch: same
 Depends: gir1.2-gnomebg-4.0 (= ${binary:Version}),
          gsettings-desktop-schemas-dev,
-         libgnome-bg-4-2 (= ${binary:Version}),
+         libgnome-bg-4-2t64 (= ${binary:Version}),
          libgnome-desktop-4-dev (= ${binary:Version}),
          libgtk-4-dev (>= 4.4.0),
          ${misc:Depends},
@@ -189,8 +199,8 @@
 Depends: gir1.2-gnomedesktop-4.0 (= ${binary:Version}),
          gsettings-desktop-schemas-dev,
          iso-codes,
-         libgdk-pixbuf-2.0-dev (>= 2.36.5),
-         libgnome-desktop-4-2 (= ${binary:Version}),
+         libgdk-pixbuf-2.0-dev,
+         libgnome-desktop-4-2t64 (= ${binary:Version}),
          libseccomp-dev [!hurd-any !kfreebsd-any !linux-alpha !linux-ia64 !linux-m68k !linux-sh4 !linux-sparc64],
          libsystemd-dev [linux-any],
          libudev-dev [linux-any],
@@ -213,7 +223,7 @@
 Depends: gir1.2-gnomerr-4.0 (= ${binary:Version}),
          gsettings-desktop-schemas-dev,
          libgnome-desktop-4-dev (= ${binary:Version}),
-         libgnome-rr-4-2 (= ${binary:Version}),
+         libgnome-rr-4-2t64 (= ${binary:Version}),
          libgtk-4-dev (>= 4.4.0),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -233,7 +243,6 @@
 Depends: ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
-Breaks: gnome-shell (<< 3.34)
 Description: Introspection data for GnomeDesktop (GTK 3)
  This package provides the include files and static library for the GNOME
  desktop library functions.
@@ -301,16 +310,3 @@
 Description: API documentation for libgnome-desktop
  The gnome-desktop set of libraries provides various utility functions
  that are used in multiple components of the GNOME desktop, but do not
- have a sufficiently stable API to be included in core libraries such
- as GLib and GTK.
- .
- This package contains API documentation, currently only available for
- the GTK 3 version of the library.
-
-Package: libgnome-desktop-3-dev-bin
-Architecture: all
-Section: oldlibs
-Depends: ${misc:Depends},
-         gnome-desktop-3-tests
-Description: Installed test files for GNOME desktop - transitional
- This package contains test programs designed to be run as part of a

=== debian/rules ===
--- 
+++ 
@@ -8,11 +8,14 @@
 export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
 
 export GD_LIBNAME = $(LIB_PKG)
-export GD_SOVERSION = $(shell echo $(GD_LIBNAME) | rev | cut -f1 -d- | rev)
-export GD_API_VERSION = $(shell echo $(GD_LIBNAME) | rev | cut -f2 -d- | rev)
+export GD_SOVERSION = $(shell echo $(GD_LIBNAME) | rev | cut -f1 -d- | rev | sed 's/t64//')
+export GD_API_VERSION = $(shell echo $(GD_LIBNAME) | rev | cut -f2 -d- | rev | sed 's/t64//')
 
 %:
 	dh $@
+
+override_dh_gnome_clean:
+	dh_gnome_clean --no-control
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

## gnome-desktop 44.1

=== debian/changelog ===
gnome-desktop (44.1-1) unstable; urgency=medium

  * New upstream release
    - Fix compatibility with muslc (!158)
    - Fix GNOME_DESKTOP_IS_THUMBNAIL_FACTORY (!160)
    - Update default Indic input methods (!163)
    - Use ibus-chewing as the default input source for zh_TW (!164)
  * Refresh patches
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Sep 2024 15:41:42 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gnome-desktop
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Gunnar Hjalmarsson <gunnarhj@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Marco Trevisan (Treviño) <marco@ubuntu.com>, Sjoerd Simons <sjoerd@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
@@ -34,7 +33,7 @@
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-desktop
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-desktop.git
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 
 Package: gnome-desktop3-data
 Architecture: all
@@ -310,3 +309,6 @@
 Description: API documentation for libgnome-desktop
  The gnome-desktop set of libraries provides various utility functions
  that are used in multiple components of the GNOME desktop, but do not
+ have a sufficiently stable API to be included in core libraries such
+ as GLib and GTK.
+ .
